﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;

namespace WinGridOutoCompleat
{
    public partial class Form1 : Form
    {
        DataTable dt = new DataTable("Table");
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            //DataTable dt = new DataTable();
            dt.Columns.Add("Name", typeof(string));
            dt.Columns.Add("Column", typeof(string)).DefaultValue = "Text";

            for (char c = 'A'; c < 'E'; c++)
            {
                for (char c1 = 'A'; c1 < 'E'; c1++)
                    dt.Rows.Add(string.Concat(new object[]{c,c1}));
            }

            ultraGrid1.DataSource = dt;
            ultraComboEditor1.DataSource = dt;
            ultraComboEditor1.DisplayMember = "Name";
            ultraComboEditor1.ValueMember = "Name";
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {

            e.Layout.Bands[0].Columns["Name"].EditorComponent = ultraComboEditor1;
        }
    }
}
